---
lang: en
title: 'API docs: filter.wherebuilder.impose'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/filter
permalink: /doc/en/lb4/apidocs.filter.wherebuilder.impose.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/filter](./filter.md) &gt; [WhereBuilder](./filter.wherebuilder.md) &gt; [impose](./filter.wherebuilder.impose.md)

## WhereBuilder.impose() method

Add a where object. For conflicting keys with the existing where object, create an `and` clause.

**Signature:**

```typescript
impose(where: Where<MT>): this;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

where


</td><td>

[Where](./filter.where.md)<!-- -->&lt;MT&gt;


</td><td>

Where filter


</td></tr>
</tbody></table>

**Returns:**

this


